## org.omg.IIOP
Class BiDirIIOPServiceContextHelper

    java.lang.Object
      |
      +--org.omg.IIOP.BiDirIIOPServiceContextHelper

public class BiDirIIOPServiceContextHelper
extends java.lang.Object

Helper class for : BiDirIIOPServiceContext

Author:
  OpenORB Compiler

Constructor Summary
`BiDirIIOPServiceContextHelper()`

Method Summary
`static BiDirIIOPServiceContext` `extract(Any a)` Extract BiDirIIOPServiceContext from an any
`static java.lang.String` `id()` Return the BiDirIIOPServiceContext IDL ID
`static void` `insert(Any a, BiDirIIOPServiceContext t)` Insert BiDirIIOPServiceContext into an any
`static BiDirIIOPServiceContext` `read(InputStream istream)` Read BiDirIIOPServiceContext from a marshalled stream
`static TypeCode` `type()` Return the BiDirIIOPServiceContext TypeCode
`static void` `write(OutputStream ostream, BiDirIIOPServiceContext value)` Write BiDirIIOPServiceContext into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiDirIIOPServiceContextHelper

    public BiDirIIOPServiceContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BiDirIIOPServiceContext t)

  Insert BiDirIIOPServiceContext into an any
  Parameters:
    `a` - an any
    `t` - BiDirIIOPServiceContext value

### extract

    public static BiDirIIOPServiceContext extract(Any a)

  Extract BiDirIIOPServiceContext from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BiDirIIOPServiceContext value

### type

    public static TypeCode type()

  Return the BiDirIIOPServiceContext TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BiDirIIOPServiceContext IDL ID
  Returns:
    an ID

### read

    public static BiDirIIOPServiceContext read(InputStream istream)

  Read BiDirIIOPServiceContext from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BiDirIIOPServiceContext value

### write

    public static void write(OutputStream ostream,
                             BiDirIIOPServiceContext value)

  Write BiDirIIOPServiceContext into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BiDirIIOPServiceContext value